{% extends '/user/index.html.twig' %}
{% block breadcrumb %}
    <li>Administration technique</li>
    <li class="active">Utilisateurs</li>
{% endblock %}

{% block body %}
    <div class="container btn-separator">
        <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('admin_user_add') }}"
                data-title="Créer un utilisateur"
                data-table="#{{ table.id() }}"
        >
            <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
            Créer un utilisateur
        </button>
    </div>

    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des utilisateurs"
        }
    ) }}

    <section class="container text-right">
        <a href="{{ url('admin_user_csv', app.request.query.all) }}" data-link-download-csv="%s_admin_user.csv" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Télécharger au format CSV
        </a>
    </section>

{% endblock %}
